/*******************************************************************************************************************************//**
 *
 * @file		PR_RGB.c
 * @brief		Descripcion del modulo
 * @date		16 de nov. de 2017
 * @author		Ing. Marcelo Trujillo
 *
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** INCLUDES
 **********************************************************************************************************************************/
#include "PR_RGB.h"

/***********************************************************************************************************************************
 *** DEFINES PRIVADOS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** MACROS PRIVADAS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** TIPOS DE DATOS PRIVADOS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** TABLAS PRIVADAS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** VARIABLES GLOBALES PUBLICAS
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** VARIABLES GLOBALES PRIVADAS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** PROTOTIPO DE FUNCIONES PRIVADAS AL MODULO
 **********************************************************************************************************************************/

 /***********************************************************************************************************************************
 *** FUNCIONES PRIVADAS AL MODULO
 **********************************************************************************************************************************/

 /***********************************************************************************************************************************
 *** FUNCIONES GLOBALES AL MODULO
 **********************************************************************************************************************************/
/**
	\fn void LedsRGB( uint8_t led , uint8_t estado )
	\brief Activa o desactiva uno de los leds del RGB
 	\author Ing. Marcelo Trujillo
 	\date 14 de nov. de 2017
 	\param [in] Color de led
		<ul>
			<li> los colores estan en las siguientes macros
			<ol>
			<li> ROJO: 0
			<li> VERDE: 1
			<li> AZUL: 2
			</ol>
		</ul>
	\param [in] estado: indica si apaga o prende
	\return void
*/
void LedsRGB( uint8_t led , uint8_t estado )
{
	switch ( led )
	{
		case ROJO:
			SetPIN( led0 , estado );
			break;
		case VERDE:
			SetPIN( led1 , estado );
			break;
		case AZUL:
			SetPIN( led2 , estado );
			break;
	}

}
